PHP4 sobre Apache 2.0.43 win32

Yajaira
31 de Octubre del 2002
Qué pasos se deben dar para instalar PHP4 sobre Apache 2.0.43 win32. O es recomendable mantener la versión PHP3?

sinuhee
31 de Octubre del 2002
si ya has instalado una version anterior, por ejem.: apache 1.3.12, los pasos son similares, por si no:

Abre el archivo httpd.conf que esta dentro de la carpeta conf de apache y agraga o modifica estas lineas en sus correspondientes secciones

ScriptAlias /php4/ "C:/php4/" <-dir donde esta php

AddType application/x-httpd-php .php

Action application/x-httpd "/php4/php.exe"

despues, para probar, te generas un archivo .php con el siguiente cuerpo:

<?
phpinfo();
?>

lo pruebas desde tu browser y listo.

Respecto al apache 2.0.43 solo un comentario, tiene algunos detalles de configuracion. Cada version nueva de php son modificaciones y/o soluicones de bugs entonces es loable migrar a una version mas nueva.